libclass-data-inheritable-perl (0.10-1) unstable; urgency=medium

  * Team upload.

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.2.1, no changes needed.

  [ Florian Schlichting ]
  * Import upstream version 0.09.
  * Drop spelling-errors.patch, applied upstream

  [ gregor herrmann ]
  * Import upstream version 0.10.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.7.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 Oct 2024 20:45:02 +0100

libclass-data-inheritable-perl (0.08-3) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Declare compliance with policy 4.2.0
  * Bump debhelper compat to 10
  * Update debian/copyright years
  * Add upstream/metadata
  * Update spelling-errors.patch
  * Enable autopkgtest

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 25 Aug 2018 16:07:32 +0200

libclass-data-inheritable-perl (0.08-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * Fix spelling error in long description, thanks lintian.
    Closes: #687362

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Xavier Guimard ]
  * Update source format to 3.0 (quilt)
  * Update debian/copyright (years and format)
  * Update debian/rules to use "dh $@"
  * Add spelling errors patch
  * Bump Standards-Version to 3.9.4
  * Bump debhelper compatibility to 8
  * Update description

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 12 Mar 2013 06:02:10 +0100

libclass-data-inheritable-perl (0.08-1) unstable; urgency=low

  * Take over for the Debian Perl Group on maintainer's request
    (Closes: #468084)
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Changed:
    Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Ivan Kohler <ivan-
    debian@420.am>);
  * debian/watch: use dist-based URL.
  * debian/rules: delete /usr/lib/perl5 only if it exists.
    Closes: #467708 -- FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
  * Add myself to Uploaders
  * Standards-Version: 3.7.3 (no changes)
  * debian/watch: remove uupdate chain
  * New upstream release
  * debian/rules: clean-up
    + drop OPTIMIZE in $(MAKE) invokation
    + use "$@" when touching stamps
    + add test suite to build-stamp
    + clean stamps before $(MAKE) realclean
    + make install target depend only on install-stamp and make install-stamp
      depend on build-stamp
    + remove commented-out debhelper calls
    + remove unneeded dh_link and dh_strip
    + install upstream changelog
    + declare install as a phony target
  * drop debian/patches/doc_perltooc_not_perltootc.diff -- applied upstream
    + drop patch support from rules and control
  * move perl from B-D to B-D-I
  * debian/copyright
    + add upstream source location
    + convert to machine-readable format
    + add © and licensing for the packagiing
    + upstream now uses "same as perl" license

 -- Damyan Ivanov <dmn@debian.org>  Wed, 27 Feb 2008 11:09:59 +0200

libclass-data-inheritable-perl (0.06-1) unstable; urgency=low

  * New upstream release
  * Doc: manpage reference s/perltootc/perltooc/ (closes: Bug#198889)

 -- Ivan Kohler <ivan-debian@420.am>  Sat, 21 Apr 2007 22:04:23 -0700

libclass-data-inheritable-perl (0.04-1) unstable; urgency=low

  * New upstream release
  * Regenerate debian/rules from latest dh-make-perl template
  * debhelper compat v4
  * Add watch file for uscan
  * Remove useless README.Debian
  * Change Section: from interpreters to perl

 -- Ivan Kohler <ivan-debian@420.am>  Sat, 24 Sep 2005 16:14:56 -0700

libclass-data-inheritable-perl (0.02-1) unstable; urgency=low

  * Initial Release (closes: Bug#152844).

 -- Ivan Kohler <ivan-debian@420.am>  Sat, 13 Jul 2002 06:58:35 -0700
